# Draw
TKTopTest
TestTopOpeDraw

# TestTopOpeDraw_DrawableSHA Class Reference

`#include <TestTopOpeDraw_DrawableSHA.hxx>`

Inheritance diagram for TestTopOpeDraw_DrawableSHA:

[legend]

## Public Member Functions

Standard_EXPORT | TestTopOpeDraw_DrawableSHA (const TopoDS_Shape &S, const Draw_Color &FreeCol, const Draw_Color &ConnCol, const Draw_Color &EdgeCol, const Draw_Color &IsosCol, const Standard_Real size, const Standard_Integer nbisos, const Standard_Integer discret, const Standard_CString Text, const Draw_Color &TextColor, const Standard_Boolean DisplayGeometry=Standard_False)
Standard_EXPORT void | SetDisplayGeometry (const Standard_Boolean b)
Standard_EXPORT void | SetTol (const Standard_Real t)
Standard_EXPORT void | SetPar (const Standard_Real p)
Standard_EXPORT void | DisplayGeometry (Draw_Display &dis) const
virtual Standard_EXPORT void | DrawOn (Draw_Display &dis) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT gp_Pnt | Pnt () const

## Private Attributes

Handle_Draw_Text3D | myText
Draw_Color | myTextColor
Standard_Boolean | myDisplayGeometry
Handle_Draw_Marker3D | myDM3d
Standard_Real | myTol
Standard_Real | myPar

## Constructor & Destructor Documentation

Standard_EXPORT TestTopOpeDraw_DrawableSHA::TestTopOpeDraw_DrawableSHA | ( | const TopoDS_Shape & | S,
|  | const Draw_Color & | FreeCol,
|  | const Draw_Color & | ConnCol,
|  | const Draw_Color & | EdgeCol,
|  | const Draw_Color & | IsosCol,
|  | const Standard_Real | size,
|  | const Standard_Integer | nbisos,
|  | const Standard_Integer | discret,
|  | const Standard_CString | Text,
|  | const Draw_Color & | TextColor,
|  | const Standard_Boolean | DisplayGeometry = `Standard_False`
| ) |

## Member Function Documentation

Standard_EXPORT void TestTopOpeDraw_DrawableSHA::DisplayGeometry | ( | Draw_Display & | dis | ) | const

virtual Standard_EXPORT void TestTopOpeDraw_DrawableSHA::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Reimplemented from DBRep_DrawableShape.

Standard_EXPORT const TestTopOpeDraw_DrawableSHA::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from DBRep_DrawableShape.

Standard_EXPORT gp_Pnt TestTopOpeDraw_DrawableSHA::Pnt | ( |  | ) | const`[private]`

Standard_EXPORT void TestTopOpeDraw_DrawableSHA::SetDisplayGeometry | ( | const Standard_Boolean | b | ) |

Standard_EXPORT void TestTopOpeDraw_DrawableSHA::SetPar | ( | const Standard_Real | p | ) |

Standard_EXPORT void TestTopOpeDraw_DrawableSHA::SetTol | ( | const Standard_Real | t | ) |

## Field Documentation

Standard_Boolean TestTopOpeDraw_DrawableSHA::myDisplayGeometry `[private]`

Handle_Draw_Marker3D TestTopOpeDraw_DrawableSHA::myDM3d `[private]`

Standard_Real TestTopOpeDraw_DrawableSHA::myPar `[private]`

Handle_Draw_Text3D TestTopOpeDraw_DrawableSHA::myText `[private]`

Draw_Color TestTopOpeDraw_DrawableSHA::myTextColor `[private]`

Standard_Real TestTopOpeDraw_DrawableSHA::myTol `[private]`

The documentation for this class was generated from the following file:

- TestTopOpeDraw_DrawableSHA.hxx